Package org.eclipse.gef.zest.fx.parts

# Class ZestFxHoverIntentHandlePartFactory

java.lang.Object
org.eclipse.gef.mvc.fx.parts.DefaultHoverIntentHandlePartFactory
org.eclipse.gef.zest.fx.parts.ZestFxHoverIntentHandlePartFactory

All Implemented Interfaces:
  `IHandlePartFactory`

public class ZestFxHoverIntentHandlePartFactory extends DefaultHoverIntentHandlePartFactory
The `ZestFxHoverIntentHandlePartFactory` is a specialization of the `DefaultHoverIntentHandlePartFactory` that performs the generation of "hide" and "show" hover handles.

## Field Summary

### Fields inherited from class org.eclipse.gef.mvc.fx.parts.DefaultHoverIntentHandlePartFactory

`HOVER_INTENT_HANDLES_GEOMETRY_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`ZestFxHoverIntentHandlePartFactory()`

## Method Summary

Modifier and Type
Method
Description
`protected List<IHandlePart<? extends javafx.scene.Node>>`
`createHoverHandlePartsForPolygonalOutline(IVisualPart<? extends javafx.scene.Node> target, Map<Object,Object> contextMap, Provider<BezierCurve[]> segmentsProvider)`
`protected List<IHandlePart<? extends javafx.scene.Node>>`
`createHoverHandlePartsForRectangularOutline(IVisualPart<? extends javafx.scene.Node> target, Map<Object,Object> contextMap, Provider<BezierCurve[]> segmentsProvider)`

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.DefaultHoverIntentHandlePartFactory

`createHandleParts, createHoverHandlePartsForCurve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZestFxHoverIntentHandlePartFactory

public ZestFxHoverIntentHandlePartFactory()

## Method Details

### createHoverHandlePartsForPolygonalOutline

protected List<IHandlePart<? extends javafx.scene.Node>> createHoverHandlePartsForPolygonalOutline(IVisualPart<? extends javafx.scene.Node> target, Map<Object,Object> contextMap, Provider<BezierCurve[]> segmentsProvider)

Overrides:
  `createHoverHandlePartsForPolygonalOutline` in class `DefaultHoverIntentHandlePartFactory`

### createHoverHandlePartsForRectangularOutline

protected List<IHandlePart<? extends javafx.scene.Node>> createHoverHandlePartsForRectangularOutline(IVisualPart<? extends javafx.scene.Node> target, Map<Object,Object> contextMap, Provider<BezierCurve[]> segmentsProvider)

Overrides:
  `createHoverHandlePartsForRectangularOutline` in class `DefaultHoverIntentHandlePartFactory`